WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Permissions problem running upgrade.php 2.0.4 -> 2.0.5 (8 posts)

  1. grommond
    Member
    Posted 7 years ago #

    Hello,

    I recently followed these instructions to upgrade from 2.0.4 to 2.0.5:

    http://codex.wordpress.org/Upgrading_WordPress#Upgrade_2.0.4_to_2.0.5

    Upon completing I try to run the upgrade process and get the usual:

    "Your database is out-of-date. Please upgrade."

    So I click "upgrade" and get:

    This file upgrades you from any previous version of WordPress to the latest. It may take a while though, so be patient.

    Upgrade WordPress ยป

    I click "upgrade WordPress" and get:

    Forbidden

    You don't have permission to access /weblog/wp-admin/upgrade.php on this server.

    Permissions on the file are 644 and setting them higher doesn't seem to help. I've searched the support pages here and tried resetting permissions on directories, renaming .htaccess, etc. all with no change. Any suggestions?

    Thanks,

    Grom

  2. Michael
    Member
    Posted 7 years ago #

    Try re-uploading upgrade.php and see if that helps.

  3. grommond
    Member
    Posted 7 years ago #

    Thanks for the suggestion, that resulted in the same error.

  4. Michael
    Member
    Posted 7 years ago #

    Sounds a bit odd.

    Can you give me a link to your site. I'll have a quick check.

    You don't have hotlink protection on or anything (cpanel option I think)?

  5. grommond
    Member
    Posted 7 years ago #

    Sure: http://www.seanconvery.com/weblog

    No hotlink protection as near as I can tell. There is some feedburner stuff in the .htaccess file, but like I said I tried the upgrade with the htaccess file completely removed.

    Thanks for your help!

  6. Michael
    Member
    Posted 7 years ago #

    Is it still asking you to update?

    http://www.seanconvery.com/weblog/wp-admin/upgrade.php

    Seemed to work for me. Try a different computer/browser and/or try going straight to that link.

  7. grommond
    Member
    Posted 7 years ago #

    Odd, no it isn't asking for an upgrade anymore. I tried using two browsers in case it was some goofball problem. I didn't try two computers though.

    All is well though, whatever the solution was, thanks so much!

  8. Michael
    Member
    Posted 7 years ago #

    Yeah I clicked update when I went there. So maybe that did it for you.

    Glad its working!

Topic Closed

This topic has been closed to new replies.

About this Topic